import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class CozyFinanceContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    cozyFinanceCToken({ address, network }: ContractOpts): import("./ethers").CozyFinanceCToken;
    cozyFinanceComptroller({ address, network }: ContractOpts): import("./ethers").CozyFinanceComptroller;
}
export type { CozyFinanceCToken } from './ethers';
export type { CozyFinanceComptroller } from './ethers';
